Package org.codehaus.groovy.classgen.asm.sc

# Class StaticPropertyAccessHelper

java.lang.Object
org.codehaus.groovy.classgen.asm.sc.StaticPropertyAccessHelper

public abstract class StaticPropertyAccessHelper extends Object
Facilitates the generation of statically-compiled bytecode for property access.

Since:
  2.4.0

## Constructor Summary

Constructors
Constructor
Description
`StaticPropertyAccessHelper()`

## Method Summary

Modifier and Type
Method
Description
`static Expression`
`transformToSetterCall(Expression receiver, MethodNode setterMethod, Expression argument, boolean implicitThis, boolean safe, boolean spreadSafe, boolean requiresReturnValue, Expression propertyExpression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StaticPropertyAccessHelper

public StaticPropertyAccessHelper()

## Method Details

### transformToSetterCall

public static Expression transformToSetterCall(Expression receiver, MethodNode setterMethod, Expression argument, boolean implicitThis, boolean safe, boolean spreadSafe, boolean requiresReturnValue, Expression propertyExpression)